(defadvice w3m-close-window (around cleite:exit-from-w3m)
  "Don't close windows or frames when executed on the Cleite window"
  (if (eq (selected-window) cleite:article:window)
      
      (if (get-buffer cleite:article:buffer-name)
          ;; 全てが正常であり、元に戻る事が出來る
          (switch-to-buffer cleite:article:buffer-name)

        ;; Article バッファが無くなってゐた
        (delete-window))

    ;; 關係無いウィンドウだった
    ad-do-it))

(ad-activate 'w3m-close-window)

(provide 'cleite-w3m)